<?php
  function delDir($dir)
  {
    if(!$fd = opendir($dir)){
      return false;
    }
    while (($file = readdir($fd)) !== false){
      if($file == "." || $file == "..") continue;
      if(is_dir("$dir/$file")){
        delDir("$dir/$file");
        rmdir("$dir/$file");
      }
      else if(is_file($dir."/$file")){
        unlink("$dir/$file");
      }
    }
    closedir($fd);
  }
?>
